            .toggle-wrap
            {
                position:relative;
                display:flex;
                justify-content:center;
                align-items:center;
                gap:20px;
            }

            .toggle-switch
            {
                width:0;
                height:0;
                visibility:hidden;
            }

            .toggle
            {
                position:relative;
                width:75px;
                height:40px;
                border-radius:100px;
                background:#242424;
                box-shadow:inset 0 5px 10px rgba(0,0,0,0.4), inset 0 -5px 10px rgba(255, 255, 255, 0.4);
                transition:0.3s ease-in-out;
            }

            .toggle:after
            {
                content:"";
                position:absolute;
                top:2.5px;
                left:2.5px;
                width:35px;
                height:35px;
                border-radius:50%;
                background:linear-gradient(180deg,#777,#242424);
                box-shadow:inset 0 5px 10px rgba(0,0,0,0.2);
                transition:0.3s ease-in-out;
            }

            .toggle i
            {
                position:absolute;
                font-size:25px;
                z-index:1;
                transition:0.3s ease-in-out;
            }

            .toggle i:first-child
            {
                top:1px;
                left:7.5px;
                color:yellow;
            }

            .toggle i:last-child
            {
                top:1px;
                right:7.5px;
                color:#7e7e7e;
            }

            .toggle-switch:checked ~ .toggle
            {
                background:#242424;
            }
 
            .toggle-switch:checked ~ .toggle:after
            {
                transform:translateX(35px);
                background:linear-gradient(180deg, #777, #242424);
            }

            .toggle-switch:checked ~ .toggle i:first-child
            {
                color:#7e7e7e;
            }

            .toggle-switch:checked ~ .toggle i:last-child
            {
                color:violet;
            }